curl --request PATCH \
--url https://api.mountthor.com/v1/admin/account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>"
}
'import requests
url = "https://api.mountthor.com/v1/admin/account"
payload = { "display_name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: '<string>'})
};
fetch('https://api.mountthor.com/v1/admin/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capabilities": {
"entitlements": [
{
"entitlement_type": "machine-class",
"entitlement_value": "m4-24g",
"priority": 0
}
]
},
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "Acme Robotics",
"namespace_name": "tenant-acme-prod",
"principal_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_status": "active",
"tenants": [
{
"compute_api_server_url": "https://api.mountthor.com/v1/compute",
"namespace_name": "tenant-acme-prod",
"status": "active",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"last_sign_in_at": "2026-06-05T17:33:40Z",
"locale": "en-US",
"profile_picture_url": "https://workoscdn.com/images/v1/user_01ABC",
"user_display_name": "Alex Customer"
}"<string>"Update Account
This operation only updates customer-owned display metadata. It does not change legal name, tenant bindings, namespaces, entitlements, routing, or account status.
Authorizations
Bearer scheme name used by typed customer admin operations.
Body
Request body for PATCH /v1/admin/account.
Customer-owned display name. Does not change legal name, account status, tenant binding, namespace, entitlements, or routing.
160Response
Customer account status
Response body for GET /v1/admin/account.
Customer-visible account capabilities and entitlements.
Show child attributes
Show child attributes
Stable UUID for the customer account.
Customer-owned display name shown in Mount Thor tooling.
"Acme Robotics"
Kubernetes namespace that contains this tenant's compute resources.
"tenant-acme-prod"
Customer user UUID associated with the credential used for this request.
Account lifecycle state. active accounts can create keys and use compute.
"active"
Stable UUID for the default tenant returned for backwards-compatible callers.
Tenant lifecycle state. Compute calls require an active tenant.
"active"
Tenants in this account. Use this list to select a compute namespace.
Show child attributes
Show child attributes
"2026-06-05T17:33:40Z"
"en-US"
"https://workoscdn.com/images/v1/user_01ABC"
"Alex Customer"